Bug 1022734 - Remove security ThreadLocals
Remove security ThreadLocals
Status: ASSIGNED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0
All All
unspecified Severity high
: ---
: ---
Assigned To: tcunning
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 17:21 EDT by David Ward
Modified: 2015-11-02 03:06 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1783 Major Open Remove security ThreadLocals 2015-06-15 11:25:17 EDT

  None (edit)
Description David Ward 2013-10-23 17:21:25 EDT
See JBoss Issue: SWITCHYARD-1783
Comment 2 Keith Babo 2013-11-01 09:44:55 EDT
Post 6.0 task.
Comment 3 David Ward 2015-01-12 09:09:06 EST
I would suggest this gets removed for jboss‑fsw‑6.1.0. It is not necessary for any functionality - just a cleanup. However, it's in very critical parts of the code, and too dangerous to change right now.

Note You need to log in before you can comment on or make changes to this bug.